# Generated from rb-music-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rb-music

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Music theory library for Ruby
License: MIT
URL: https://github.com/mwise/rb-music
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.6
# BuildRequires: rubygem(guard-rspec) >= 4.2
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(guard-rspec) >= 4.2.8
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(simplecov) >= 0.8
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) >= 0.8.2
BuildArch: noarch

%description
This gem provides Ruby classes for working with musical notes, scales and
intervals.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.6-1
- Initial package
